/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v7.0.29,
* Autoprefixer: v9.7.6
* Browsers: last 4 version
*/

/*********************
* Modal
**********************/
.r-modal {
  background: rgba(0, 0, 0, 0.6);
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 99999999;

  -webkit-transition: opacity 1000ms ease-in;
  -o-transition: opacity 1000ms ease-in;
  transition: opacity 1000ms ease-in;
}
body.r-modal-open {
  overflow: hidden;
}
.r-modal-wrapper {
  background: #fff;
  -webkit-box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
  width: 650px;
  margin: 7% auto 0 auto;

  animation: minimise 1000ms linear;
  -webkit-animation: minimise 1000ms linear;
  -moz-animation: minimise 1000ms linear;
}
.r-modal .r-modal-wrapper {
  animation-name: bounce;
  -webkit-animation-name: bounce;
  -moz-animation-name: bounce;
}
.r-modal-header {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  background: var(--Basic);
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  padding: 0 24px;
  color: #fff;
  height: 50px;
}
.r-modal-header h2 {
  font-size: 16px;
}
.r-modal-content {
  height: 400px;
  width: 100%;
  overflow-y: auto;
  padding: 0 12px;
}
.r-modal-content {
  scrollbar-color: var(--Basic) var(--white-color);
  scrollbar-width: thin;
}
.r-modal-content::-webkit-scrollbar {
  width: 5px;
  background: var(--white-color);
}
.r-modal-content::-webkit-scrollbar-thumb {
  background: var(--Basic);
}
.r-modal-content .model-item {
  width: calc(50% - 10px);
  /* width: calc(50% - 32px); */
  padding: 0 16px;
}
.r-modal-content .modal-item-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
}
.r-modal-header span {
  font-size: 20px;
  cursor: pointer;
}
.r-modal-footer {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  background: #fff;
  -webkit-box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
  padding: 0 18px;
}
.r-modal-footer > button {
  font: 12px;
  background: var(--Basic);
  color: var(--white-color);
  padding: 8px 15px;
  margin: 3px 5px;
  outline: none;
  border: 1px solid var(--white-color);
  font-family: inherit;
  border-radius: 3px;
}
.r-modal-footer > button:hover {
  background: var(--BasicHover);
}

@-webkit-keyframes bounce {
  0% {
    -webkit-transform: scale3d(0.1, 0.1, 1);
    -webkit-box-shadow: 0 3px 20px rgba(0, 0, 0, 0.9);
    box-shadow: 0 3px 20px rgba(0, 0, 0, 0.9);
  }
  55% {
    -webkit-transform: scale3d(1.08, 1.08, 1);
    -webkit-box-shadow: 0 10px 20px rgba(0, 0, 0, 0);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0);
  }
  75% {
    -webkit-transform: scale3d(0.95, 0.95, 1);
    -webkit-box-shadow: 0 0 20px rgba(0, 0, 0, 0.9);
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.9);
  }
  100% {
    -webkit-transform: scale3d(1, 1, 1);
    -webkit-box-shadow: 0 3px 20px rgba(0, 0, 0, 0.9);
    box-shadow: 0 3px 20px rgba(0, 0, 0, 0.9);
  }
}

@-webkit-keyframes minimise {
  0% {
    -webkit-transform: scale3d(1, 1, 1);
  }
  100% {
    -webkit-transform: scale3d(0.1, 0.1, 1);
  }
}

@keyframes bounce {
  0% {
    -webkit-transform: scale3d(0.1, 0.1, 1);
    transform: scale3d(0.1, 0.1, 1);
    -webkit-box-shadow: 0 3px 20px rgba(0, 0, 0, 0.9);
    box-shadow: 0 3px 20px rgba(0, 0, 0, 0.9);
  }
  55% {
    -webkit-transform: scale3d(1.08, 1.08, 1);
    transform: scale3d(1.08, 1.08, 1);
    -webkit-box-shadow: 0 10px 20px rgba(0, 0, 0, 0);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0);
  }
  75% {
    -webkit-transform: scale3d(0.95, 0.95, 1);
    transform: scale3d(0.95, 0.95, 1);
    -webkit-box-shadow: 0 0 20px rgba(0, 0, 0, 0.9);
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.9);
  }
  100% {
    -webkit-transform: scale3d(1, 1, 1);
    transform: scale3d(1, 1, 1);
    -webkit-box-shadow: 0 3px 20px rgba(0, 0, 0, 0.9);
    box-shadow: 0 3px 20px rgba(0, 0, 0, 0.9);
  }
}

@keyframes minimise {
  0% {
    -webkit-transform: scale3d(1, 1, 1);
    transform: scale3d(1, 1, 1);
  }
  100% {
    -webkit-transform: scale3d(0.1, 0.1, 1);
    transform: scale3d(0.1, 0.1, 1);
  }
}
